<?php    
/**
 * Get users List.
 *
 * @param  string $status try|wait|normal|locked
 * @param object  $pager
 * @param string  $userName
 * @access public
 * @return object 
 */
public function getList($pager = null, $user = '', $provider = '', $admin = '', $status = '')
{    
    $users = $this->dao->setAutolang(false)
        ->select('u.*, o.provider as provider, openID as openID')->from(TABLE_USER)->alias('u')
        ->leftJoin(TABLE_OAUTH)->alias('o')->on('u.account = o.account')->where('1')
        ->beginIF($user)
        ->andWhere('u.account')->like("%{$user}%")
        ->orWhere('u.realname')->like("%{$user}%")
        ->orWhere('u.email')->like("%{$user}%")
        ->fi()
        ->beginIF($provider)->andWhere('o.provider')->like("%{$provider}%")->fi()
        ->beginIF($admin)->andWhere('u.admin')->ne('no')->fi()
        ->beginIF($status != 'all')->andWhere('u.status')->eq($status)->fi()
        ->orderBy('id_asc')
        ->page($pager)
        ->fetchAll('id');

    foreach($users as $user)
    {    
        $user->realname  = $this->computeRealname($user);
        $user->realnames = json_decode($user->realnames);
    }    

    return $users;
}
